<app-menu-item-layout-container [menu]="(slidesMenu$|async)">
  <app-slides-label
    label
    [labelId]="(slide$|async)?.id"
    [displayId]="(slide$|async)?.dataView.local_id"
    [selected]="(slidesMenu$|async).selected"
    [contentLoaded]="(loaded$|async)">
  </app-slides-label>
  <app-slides
    *ngIf="(loaded$|async) && (slidesMenu$|async).labelState === menuState.VISIBLE"
    content
    [slideEntities]="(slides$|async)"
    [slideImages]="(slideImages$|async)"
    [selectedSlideId]="(slide$|async)?.id"
    [selectionMissing]="(selectionError$|async)"
    (slideSelected)="selectSlide($event)">
  </app-slides>
</app-menu-item-layout-container>
